package apt 1.0.10.2ubuntu3 failed to install/upgrade: trying to overwrite '/usr/share/bash-completion/completions/apt', which is also in package bash-completion 1:2.1-4.1ubuntu2

Bug #1675246 reported by Sandy Haryono on 2017-03-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Undecided
Unassigned

Bug Description

sandy@hostsandy:~$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  apt
Suggested packages:
  apt-doc aptitude synaptic wajig
The following packages will be upgraded:
  apt
1 upgraded, 0 newly installed, 0 to remove and 2140 not upgraded.
1 not fully installed or removed.
Need to get 0 B/1.045 kB of archives.
After this operation, 108 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
apt-extracttemplates: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0: no version information available (required by apt-extracttemplates)
apt-extracttemplates: relocation error: apt-extracttemplates: symbol _Z19DispatchCommandLineR11CommandLineRKSt6vectorINS_8DispatchESaIS2_EE, version APTPRIVATE_0.0 not defined in file libapt-private.so.0.0 with link time reference
debconf: apt-extracttemplates failed: No such file or directory
(Reading database ... 1445526 files and directories currently installed.)
Preparing to unpack .../archives/apt_1.3.1_amd64.deb ...
Unpacking apt (1.3.1) over (1.0.10.2ubuntu3) ...
dpkg: error processing archive /var/cache/apt/archives/apt_1.3.1_amd64.deb (--unpack):
 trying to overwrite '/usr/share/bash-completion/completions/apt', which is also in package bash-completion 1:2.1-4.1ubuntu2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Reinstalling /etc/apt/apt.conf.d/20changelog that was moved away
Reinstalling /etc/cron.daily/apt that was moved away
Processing triggers for libc-bin (2.21-0ubuntu4.3) ...
Errors were encountered while processing:
 /var/cache/apt/archives/apt_1.3.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Package
DistroRelease: Ubuntu 15.10
Package: apt 1.0.10.2ubuntu3
ProcVersionSignature: Ubuntu 3.13.0-66.108-generic 3.13.11-ckt27
Uname: Linux 3.13.0-66-generic x86_64
ApportVersion: 2.19.1-0ubuntu5
AptOrdering:
 apt: Install
 apt: Configure
 apt-utils: Configure
 NULL: ConfigurePending
Architecture: amd64
Date: Thu Mar 23 10:10:31 2017
DpkgTerminalLog:
 Preparing to unpack .../archives/apt_1.3.1_amd64.deb ...
 Unpacking apt (1.3.1) over (1.0.10.2ubuntu3) ...
 dpkg: error processing archive /var/cache/apt/archives/apt_1.3.1_amd64.deb (--unpack):
  trying to overwrite '/usr/share/bash-completion/completions/apt', which is also in package bash-completion 1:2.1-4.1ubuntu2
DuplicateSignature: package:apt:1.0.10.2ubuntu3:trying to overwrite '/usr/share/bash-completion/completions/apt', which is also in package bash-completion 1:2.1-4.1ubuntu2
ErrorMessage: trying to overwrite '/usr/share/bash-completion/completions/apt', which is also in package bash-completion 1:2.1-4.1ubuntu2
InstallationDate: Installed on 2014-04-02 (1085 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
RelatedPackageVersions:
 dpkg 1.18.2ubuntu5.1
 apt 1.0.10.2ubuntu3
SourcePackage: apt
Title: package apt 1.0.10.2ubuntu3 failed to install/upgrade: trying to overwrite '/usr/share/bash-completion/completions/apt', which is also in package bash-completion 1:2.1-4.1ubuntu2
UpgradeStatus: No upgrade log present (probably fresh install)

Sandy Haryono (sandyharyono) wrote :
tags: removed: need-duplicate-check
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers